Loading...
Searching...
No Matches
Catch::IRegistryHub Class Referenceabstract

`#include <catch_amalgamated.hpp>`

## Public Member Functions

virtual | ~IRegistryHub ()
virtual ReporterRegistry const & | getReporterRegistry () const =0
virtual ITestCaseRegistry const & | getTestCaseRegistry () const =0
virtual ITagAliasRegistry const & | getTagAliasRegistry () const =0
virtual IExceptionTranslatorRegistry const & | getExceptionTranslatorRegistry () const =0
virtual StartupExceptionRegistry const & | getStartupExceptionRegistry () const =0

## Constructor & Destructor Documentation

## ~IRegistryHub()

Catch::IRegistryHub::~IRegistryHub | ( |  | ) |

virtualdefault

## Member Function Documentation

## getExceptionTranslatorRegistry()

virtual IExceptionTranslatorRegistry const & Catch::IRegistryHub::getExceptionTranslatorRegistry | ( |  | ) | const

pure virtual

Here is the caller graph for this function:

## getReporterRegistry()

virtual ReporterRegistry const & Catch::IRegistryHub::getReporterRegistry | ( |  | ) | const

pure virtual

Here is the caller graph for this function:

## getStartupExceptionRegistry()

virtual StartupExceptionRegistry const & Catch::IRegistryHub::getStartupExceptionRegistry | ( |  | ) | const

pure virtual

Here is the caller graph for this function:

## getTagAliasRegistry()

virtual ITagAliasRegistry const & Catch::IRegistryHub::getTagAliasRegistry | ( |  | ) | const

pure virtual

## getTestCaseRegistry()

virtual ITestCaseRegistry const & Catch::IRegistryHub::getTestCaseRegistry | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp